Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.io.net
Class PsiBlastClientOld

    java.lang.Object
      jprotein.io.net.WebClient
          jprotein.io.net.PsiBlastClientOld

All Implemented Interfaces:
  Format

    public class PsiBlastClientOld

extends WebClient
implements Format

Constructor Summary
`PsiBlastClientOld(java.lang.String url, java.lang.String database, java.lang.String matrix, int maxResults, double eValue, int gap_exist, int gap_ext, int iteration)`

Method Summary
`java.util.Vector` | `getData()`
`java.lang.String` | `getDatabase()`
`double` | `getExpectedValue()`
`java.lang.String` | `getGapCosts()`
`java.lang.String` | `getMatrix()`
`int` | `getMaxResults()`
`int` | `getNumIteration()`
`java.lang.String` | `getPrevRID()`
`java.lang.String` | `getPsiThreshhold()`
`Sequence` | `getQuerySequence()`
`java.lang.String` | `getRTOE()`
`java.util.Vector` | `initData()`
`java.util.Vector` | `iterPutCommand()`
`void` | `parseGI(java.util.Vector buffer)`
`java.util.Vector` | `sendInitialPsiGetCommand()`
`java.util.Vector` | `sendIterPsiGetCommand()`
`void` | `sendPutCommand()`
`void` | `setDatabase(java.lang.String database)`
`void` | `setExpectedValue(double eValue)`
`void` | `setGapCosts(int gap_exist, int gap_ext)`
`void` | `setMatrix(java.lang.String matrix)`
`void` | `setMaxResults(int maxResults)`
`void` | `setNumIteration(int iteration)`
`void` | `setPrevRID(java.lang.String prevRID)`
`void` | `setQuerySequence(Sequence sequence)`
`void` | `setQuerySequence(java.lang.String sequence)`
`void` | `setRTOE(java.lang.String RTOE)`

Methods inherited from class jprotein.io.net.WebClient
`getURL, sendCommand, sendCommand, setURL`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PsiBlastClientOld

    public PsiBlastClientOld(java.lang.String url,
                             java.lang.String database,
                             java.lang.String matrix,
                             int maxResults,
                             double eValue,
                             int gap_exist,
                             int gap_ext,
                             int iteration)

Method Detail

### setDatabase

    public void setDatabase(java.lang.String database)

### setExpectedValue

    public void setExpectedValue(double eValue)

### setNumIteration

    public void setNumIteration(int iteration)

### getNumIteration

    public int getNumIteration()

### setGapCosts

    public void setGapCosts(int gap_exist,
                            int gap_ext)

### setMatrix

    public void setMatrix(java.lang.String matrix)

### setMaxResults

    public void setMaxResults(int maxResults)

### setQuerySequence

    public void setQuerySequence(Sequence sequence)

### setQuerySequence

    public void setQuerySequence(java.lang.String sequence)

### getDatabase

    public java.lang.String getDatabase()

### getExpectedValue

    public double getExpectedValue()

### getGapCosts

    public java.lang.String getGapCosts()

### getMatrix

    public java.lang.String getMatrix()

### getMaxResults

    public int getMaxResults()

### setPrevRID

    public void setPrevRID(java.lang.String prevRID)

### getPrevRID

    public java.lang.String getPrevRID()

### getPsiThreshhold

    public java.lang.String getPsiThreshhold()

### getRTOE

    public java.lang.String getRTOE()

### setRTOE

    public void setRTOE(java.lang.String RTOE)

### getQuerySequence

    public Sequence getQuerySequence()

### getData

    public java.util.Vector getData()

  Specified by:
    `getData` in interface `Format`

### initData

    public java.util.Vector initData()

### parseGI

    public void parseGI(java.util.Vector buffer)

### sendPutCommand

    public void sendPutCommand()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendInitialPsiGetCommand

    public java.util.Vector sendInitialPsiGetCommand()
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendIterPsiGetCommand

    public java.util.Vector sendIterPsiGetCommand()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### iterPutCommand

    public java.util.Vector iterPutCommand()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD